import { CategoryAxisBase } from "./CategoryAxisBase";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
import { AxisOrientation } from "./AxisOrientation";
import { AxisView } from "./AxisView";
import { Type, IList$1 } from "igniteui-react-core/ES5/type";
import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { ScalerParams } from "./ScalerParams";
import { SeriesViewer } from "./SeriesViewer";
import { CategoryMode } from "./CategoryMode";
import { IGetItemAtIndex } from "igniteui-react-core/ES5/IGetItemAtIndex";
import { CategoryAxisBaseView } from "./CategoryAxisBaseView";
/**
 * @hidden
 */
export declare class CategoryXAxis extends CategoryAxisBase {
    static $t: Type;
    a1(): AxisView;
    gm(a: AxisView): void;
    kq: CategoryXAxisView;
    constructor();
    private k2;
    k4: number;
    private k1;
    k3: number;
    as(): AxisLabelPanelBase;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    jk(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    dg(): number;
    k9(a: any): void;
    dt(a: number, b: ScalerParams): number;
    protected kp(a: IList$1<number[]>): number[][];
    gg(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    du(a: number, b: ScalerParams, c: CategoryMode): number;
    private ky;
    dw(a: number, b: ScalerParams): number;
    dx(a: number, b: ScalerParams, c: CategoryMode): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    la(a: number, b: number): void;
    protected g1(a: boolean): void;
    cm(): boolean;
    static readonly lb: DependencyProperty;
    kz: number;
    private ks;
    ku: number;
    d4(): number;
    static readonly lc: DependencyProperty;
    k0: number;
    private kt;
    kv: number;
    jb(a: SeriesViewer): boolean;
    protected get_az(): AxisOrientation;
    readonly az: AxisOrientation;
    protected kr(): IGetItemAtIndex;
    protected kx(a: number, b: ScalerParams): number;
    protected kw(a: number, b: number, c: boolean, d: ScalerParams): number;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
}
/**
 * @hidden
 */
export declare class CategoryXAxisView extends CategoryAxisBaseView {
    static $t: Type;
    protected bf: CategoryXAxis;
    constructor(a: CategoryXAxis);
}
